> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch an Account



## OpenAPI

````yaml api-reference/openapi-account.json GET /account/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /account/{id}:
    get:
      tags:
        - Account
      summary: Fetch an Account
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_number: '64141601'
                    account_type: checking
                    address:
                      city: San Francisco
                      postal_code: '94104'
                      state: CA
                      street_line_1: 1 Market St
                      street_line_2: Suite 42
                    available_balance: '86753.09'
                    bank_id: bank_treasuryprime
                    business_ids: []
                    created_at: '2017-11-02T11:55:14Z'
                    currency: USD
                    current_balance: '86753.09'
                    funded: true
                    id: acct_1029384756
                    lock: null
                    locked: false
                    name: George Washington
                    org_id: org_1gwmpv3payf
                    person_ids:
                      - owner_01d6y044p21s
                    primary_person_id: owner_01d6y044p21s
                    routing_number: '021001208'
                    status: open
                    tags: null
                    updated_at: '2017-11-02T11:55:14Z'
                    userdata: null
              schema:
                properties:
                  account_number:
                    description: Bank account number. Filterable.
                    type: string
                  account_product_id:
                    description: Account Product used to create the account
                    type: string
                  account_type:
                    description: One of `checking` or `savings`
                    type: string
                  additional_account_numbers:
                    description: Invoice account numbers associated with the account
                    items:
                      type: string
                    type: array
                  address:
                    deprecated: true
                    description: Address associated with the account
                    properties:
                      city:
                        description: City
                        type: string
                      postal_code:
                        description: Postal code
                        type: string
                      state:
                        description: State
                        type: string
                      street_line_1:
                        description: First line of the address
                        type: string
                      street_line_2:
                        description: Optional second line of the address
                        type: string
                    type: object
                  available_balance:
                    description: >-
                      Available funds in this account. If not available, the
                      value will be `null`
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  bank_id:
                    description: ID of the bank with which the account is associated
                    type: string
                  business_ids:
                    description: >-
                      Array of IDs of Business objects representing all
                      businesses that own this account. Always empty for
                      personal accounts
                    items:
                      type: string
                    type: array
                  closed_date:
                    description: >-
                      Timestamp of the account closure, ISO 8601 format
                      ('YYYY-MM-DDThh:mm:ssZ'). Limited availability. Always in
                      UTC
                    type: string
                  currency:
                    description: >-
                      Three-letter ISO currency code in lowercase, indicating
                      the currency denominating the account. Currently only
                      `USD` is supported
                    type: string
                  current_balance:
                    description: >-
                      Last known account balance, with two-decimal precision.
                      Note that some accounts may not support this field; if not
                      available, the value will be `null`
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  funded:
                    description: >-
                      `true` if the account has ever been funded with an amount
                      greater than $0, `false` otherwise
                    type: boolean
                  id:
                    description: Unique identifier for object
                    type: string
                  interest_rate:
                    description: Account interest rate
                    type: string
                  lock:
                    description: >-
                      Details related to account lock (returned only when
                      `locked` is `true`).
                    properties:
                      additional_context:
                        description: >-
                          Optional text to include additional details for the
                          reason to lock the account. It is recommend to include
                          the payment ID such as the ACH id that is under
                          investigation or the application ID for the customer.
                          This additional context will be provided to your bank.
                        type: string
                      reason:
                        description: |-
                          Reason for locking account. One of 
                          `transactions_being_investigated_wire`, 
                          `transactions_being_investigated_card`, 
                          `transactions_being_investigated_ACH`, 
                          `transactions_being_investigated_check_issued`, 
                          `transactions_being_investigated_check_deposit`, 
                          `identity_of_customer_being_investigated`.

                          When unlocking an account, a reason is not required.
                        type: string
                    type: object
                  locked:
                    description: >-
                      `true` if the account is in a locked state, `false`
                      otherwise
                    type: boolean
                  mailing_address:
                    description: Mailing address associated with the account
                    properties:
                      city:
                        description: City
                        type: string
                      postal_code:
                        description: Postal code
                        type: string
                      state:
                        description: State
                        type: string
                      street_line_1:
                        description: First line of the address
                        type: string
                      street_line_2:
                        description: Optional second line of the address
                        type: string
                    type: object
                  name:
                    description: Name of the person or company that owns the bank account
                    type: string
                  nickname:
                    description: Nickname of the account
                    type: string
                  org_id:
                    description: >-
                      ID of the organization with which the account is
                      associated. Filterable.
                    type: string
                  person_ids:
                    description: >-
                      Array of IDs of Person objects representing all people who
                      own this account
                    items:
                      type: string
                    type: array
                  physical_address:
                    description: Physical address associated with the account
                    properties:
                      city:
                        description: City
                        type: string
                      postal_code:
                        description: Postal code
                        type: string
                      state:
                        description: State
                        type: string
                      street_line_1:
                        description: First line of the address
                        type: string
                      street_line_2:
                        description: Optional second line of the address
                        type: string
                    type: object
                  primary_person_id:
                    description: ID of the Person indicating the primary account holder
                    type: string
                  routing_number:
                    description: ABA routing transit number associated with the account
                    type: string
                  status:
                    description: >-
                      The status of the account. One of `open`, `closed`, or
                      `close_pending`
                    type: string
                  tags:
                    description: Array of tags associated with this account. Filterable.
                    items:
                      type: string
                    type: array
                  userdata:
                    description: Arbitrary user data that can be attached to the object
                    type: object
          description: The account
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````